@echo off

REM #
REM # calculation of 3-Phase-Method for Test Room
REM # Bartenbach GmbH, Rinner Str. 14, 6071 Aldrans, Austria
REM # 07.08.2019 / DGM
REM #
REM
REM #############################################

echo Sky matrix generation ...

set sky_subdiv=1
REM # use 4 (i.e. misc/sky_glow1_rein4.rad) for a more detailed description of the sky


REM # Point in time sky vector
xform sky/NY_cie_sun_03211000.rad > sky/NY_cie_sun_03211000_xf.rad
perl "C:\Program Files\Radiance\bin\genskyvec.pl " -m %sky_subdiv% < sky/NY_cie_sun_03211000_xf.rad > weather/NY_cie_sun_03211000.skyvec

REM # convert EPW file to wea
epw2wea weather/USA_NY_New.York-Central.Park.725033_TMY3.epw weather/NY_sky.wea

REM # select only first day to show...
REM head -n 30 weather/NY_sky.wea > weather/NY_sky_day01.wea
REM ... head is usually not installed...

echo.
echo.echo Copy weather/NY_sky.wea to weather/NY_sky_day01.wea and remove everything but first day...
echo.
pause

REM # generate annual sky matrix (here only one day)
gendaymtx -m %sky_subdiv% weather/NY_sky_day01.wea > weather/NY_sky_day01.smx

echo ... done.
