@echo off
setlocal ENABLEDELAYEDEXPANSION

REM #
REM # calculation of 5-Phase-Method for Test Room
REM # Bartenbach GmbH, Rinner Str. 14, 6071 Aldrans, Austria
REM # 07.08.2019 / DGM
REM #
REM
REM # specify number of sun positions to use (2 -> 577; 4 -> 2305; 6 -> 5185)
REM # use 6 for a more accurate description of the sun positions
set mf_sun_pos=2
set num_sun_pos=577
REM num_sun_pos = 144*mf_sun_pos*mf_sun_pos + 1

REM # get number of CPUs available
set nprocs=1

REM set rcopts= -V- -n %nprocs% -w- -I+ -ab 1 -ad 65536 -lw 1.0e-6 -dc 1 -dt 0 -dj 0 -faa
REM # low to show...
set rcopts= -V- -n %nprocs% -w- -I+ -ab 1 -ad 4096 -lw 1.0e-6 -dc 1 -dt 0 -dj 0 -faa

REM # generate suns at patch positions
echo generating suns ...
echo #@rfluxmtx h=r%mf_sun_pos% u=Y > misc/suns_rein%mf_sun_pos%.rad
echo void light solar 0 0 3 1e6 1e6 1e6 >> misc/suns_rein%mf_sun_pos%.rad

cnt %num_sun_pos%  |  rcalc -e MF:%mf_sun_pos% -f reinsrc.cal -e Rbin=recno ^
                       -o "solar source sun 0 0 4 ${ Dx } ${ Dy } ${ Dz } 0.5" >> misc/suns_rein%mf_sun_pos%.rad

echo 5PM direct sun coefficient matrix calculation ...

for %%i in (blinds_20deg_BSDF blinds_20deg_geom) do (
  echo %%i
  set octree=oct/tutorial_room_5pm_dsunmx_%%i.oct
  oconv -w misc/suns_rein%mf_sun_pos%.rad scene/tutorial_room_5pm_dsunmx_%%i.rad  > !octree!

  echo calculate direct sun matrix for system %%i...
  rcontrib < pts/tutorial_workplane.pts ^
       %rcopts% -e MF:%mf_sun_pos% -f reinhart.cal -b rbin -bn Nrbins -m solar ^
       !octree! > matrices/tutorial_room_5pm_sensors_%%i.dsmx

)

echo ... done.
