@echo off

REM #
REM # calculation of 3-Phase-Method for Test Room
REM # Bartenbach GmbH, Rinner Str. 14, 6071 Aldrans, Austria
REM # 07.08.2019 / DGM
REM #
REM 
REM #############################################

set sky_subdiv=1
REM # use 4 (i.e. misc/sky_glow1_rein4.rad) for a more detailed description of the sky
set mf_sun_pos=2
REM # use 6 for a more accurate description of the sun positions


REM ###########################################

echo Direct sky matrix generation ...
REM # Point in time direct sky vector

xform sky/NY_cie_sun_03211000.rad > sky/NY_cie_sun_03211000_xf.rad
perl "C:\Program Files\Radiance\bin\genskyvec.pl" < sky/NY_cie_sun_03211000_xf.rad ^
  -d -m %sky_subdiv% > weather/NY_cie_sun_03211000_direct.skyvec

echo Sun matrix generation ...
REM # Point in time sun matrix
perl "C:\Program Files\Radiance\bin\genskyvec.pl" < sky/NY_cie_sun_03211000_xf.rad ^
  -5 -d -m %mf_sun_pos% > weather/NY_cie_sun_03211000_direct_sun.skyvec

REM ###########################################

echo Direct sky matrix generation ...
REM # generate direct sky matrix
gendaymtx -d -m %sky_subdiv% weather/NY_sky_day01.wea > weather/NY_sky_day01_direct.smx

echo Sun matrix generation ...
REM # generate direct sun matrix
gendaymtx -5 0.5 -d -m %mf_sun_pos% weather/NY_sky_day01.wea > weather/NY_sky_day01_direct_sun.smx

echo ... done.
