@echo off

REM #
REM # calculation of 5-Phase-Method for Test Room
REM # Bartenbach GmbH, Rinner Str. 14, 6071 Aldrans, Austria
REM # 07.08.2019 / DGM
REM #
REM
REM
REM #############################################

echo 5PM matrix hourly calculation

set weather=NY_sky_day01
set var=blinds_20deg

echo 3PM ...
echo (already done ...)
REM  dctimestep matrices/tutorial_room_3pm_sensors.vmx ^
REM           BSDF/%var%_Klems.xml ^
REM           matrices/tutorial_room_3pm_rein1.dmx ^
REM           weather/%weather%.smx ^
REM           > result/%var%_%weather%_3pm.dat
REM  rmtxop -fa -c 47.448 119.951 11.601 -t result/%var%_%weather%_3pm.dat ^
REM          > result/%var%_%weather%_3pm.ill

echo 3PM direct component ...
dctimestep matrices/tutorial_room_5pm_sensors.dvmx ^
         BSDF/%var%_Klems.xml ^
         matrices/tutorial_room_5pm_rein1.ddmx ^
         weather/%weather%_direct.smx ^
         > result/%var%_%weather%_3pm_dir.dat

for %%i in (blinds_20deg_BSDF blinds_20deg_geom) do (
  echo 5PM high qual direct component for %%i ...
  dctimestep matrices/tutorial_room_5pm_sensors_%%i.dsmx ^
             weather/%weather%_direct_sun.smx ^
             > result/%%i_%weather%_5pm_dir_sun.dat
  echo calc 3PM - 3PM_dir + 5PM_dir ...
  rmtxop result/%var%_%weather%_3pm.dat + -s -1 result/%var%_%weather%_3pm_dir.dat + result/%%i_%weather%_5pm_dir_sun.dat ^
    | rmtxop -fa -c 47.448 119.951 11.601 -t - > result/%%i_%weather%_5pm.ill

)

echo ... done.

REM #############################################

echo 5PM matrix point-in-time calculation

set weather=NY_cie_sun_03211000
set var=blinds_20deg

echo 3PM ...
echo (already done ...)
REM  dctimestep matrices/tutorial_room_3pm_sensors.vmx \
REM           BSDF/%var%_Klems.xml \
REM           matrices/tutorial_room_3pm_rein1.dmx \
REM           weather/%weather%.smx \
REM           > result/%var%_%weather%_3pm.dat
REM  rmtxop -fa -c 47.448 119.951 11.601 -t result/%var%_%weather%_3pm.dat \
REM          > result/%var%_%weather%_3pm.ill

echo 3PM direct component ...
dctimestep matrices/tutorial_room_5pm_sensors.dvmx ^
         BSDF/%var%_Klems.xml ^
         matrices/tutorial_room_5pm_rein1.ddmx ^
         weather/%weather%_direct.skyvec ^
         > result/%var%_%weather%_3pm_dir.dat

for %%i in (blinds_20deg_BSDF blinds_20deg_geom) do (

  echo 5PM high qual direct component for %%i...
  dctimestep matrices/tutorial_room_5pm_sensors_%%i.dsmx ^
             weather/%weather%_direct_sun.skyvec ^
             > result/%%i_%weather%_5pm_dir_sun.dat
  echo calc 3PM - 3PM_dir + 5PM_dir ...
  rmtxop result/%var%_%weather%_3pm.dat + -s -1 result/%var%_%weather%_3pm_dir.dat + result/%%i_%weather%_5pm_dir_sun.dat ^
         | rmtxop -fa -c 47.448 119.951 11.601 - > result/%%i_%weather%_5pm.ill

)

echo ... done.
