@echo off

REM #
REM # calculation of 5-Phase-Method for Test Room
REM # Bartenbach GmbH, Rinner Str. 14, 6071 Aldrans, Austria
REM # 07.08.2019 / DGM
REM #


REM #############################################

echo 5PM matrix hourly calculation

set weather=NY_sky_day01
set var=blinds_20deg

echo 3PM ...
echo (already done ...)
REM echo annual calculation... (actually only one day)
REM dctimestep -o result/img_3pm/%var%_%weather%_%%04d.hdr ^
REM         matrices/img_vmx/tutorial_room_%%03d.hdr ^
REM         BSDF/%var%_Klems.xml ^
REM         matrices/tutorial_room_3pm_rein1.dmx ^
REM         weather/%weather%.smx


echo 3PM direct component ...
dctimestep -o result/img_3pm_dir/%var%_%weather%_%%04d.hdr ^
        matrices/img_vmx_dir_lum/tutorial_room_%%03d_lum.hdr ^
        BSDF/%var%_Klems.xml ^
        matrices/tutorial_room_5pm_rein1.ddmx ^
        weather/%weather%_direct.smx

for %%i in (blinds_20deg_BSDF blinds_20deg_geom) do (

  echo 5PM high qual direct sun component for %%i...
  dctimestep -o result/img_5pm_dir_sun/%var%_%weather%_%%04d_%%i.hdr ^
              matrices/img_vmx_sun_all/tutorial_room_%%i_%%04d.hdr ^
              weather/%weather%_direct_sun.smx

  echo calc 3PM - 3PM_dir + 5PM_sun ...
  for %%j in (result\img_3pm\%var%_%weather%_????.hdr) do (
    pcomb -h -e "ro=ri(1)-ri(2)+ri(3);go=gi(1)-gi(2)+gi(3);bo=bi(1)-bi(2)+bi(3)" ^
    -o %%j -o result/img_3pm_dir/%%~nj.hdr -o result/img_5pm_dir_sun/%%~nj_%%i.hdr ^
    > result/img_5pm/%%~nj_%%i.hdr

  )

)

echo ... done.

REM #############################################

echo 5PM matrix point-in-time calculation

set weather=NY_cie_sun_03211000
set var=blinds_20deg

echo 3PM ...
echo (already done ...)
REM dctimestep -o result/img_3pm/%var%_%weather%_%%04d.hdr ^
REM         matrices/img_vmx/tutorial_room_%%03d.hdr ^
REM         BSDF/%var%_Klems.xml ^
REM         matrices/tutorial_room_3pm_rein1.dmx ^
REM         weather/%weather%.skyvec


echo 3PM direct component ...
dctimestep -o result/img_3pm_dir/%var%_%weather%_%%04d.hdr ^
        matrices/img_vmx_dir_lum/tutorial_room_%%03d_lum.hdr ^
        BSDF/%var%_Klems.xml ^
        matrices/tutorial_room_5pm_rein1.ddmx ^
        weather/%weather%_direct.skyvec

for %%i in (blinds_20deg_BSDF blinds_20deg_geom) do (

  echo 5PM high qual direct sun component for %%i...
  dctimestep -o result/img_5pm_dir_sun/%var%_%weather%_%%04d_%%i.hdr ^
              matrices/img_vmx_sun_all/tutorial_room_%%i_%%04d.hdr ^
              weather/%weather%_direct_sun.skyvec


  echo calc 3PM - 3PM_dir + 5PM_sun ...
  for %%j in (result\img_3pm\%var%_%weather%_????.hdr) do (
    pcomb -h -e "ro=ri(1)-ri(2)+ri(3);go=gi(1)-gi(2)+gi(3);bo=bi(1)-bi(2)+bi(3)" ^
    -o %%j -o result/img_3pm_dir/%%~nj.hdr -o result/img_5pm_dir_sun/%%~nj_%%i.hdr ^
    > result/img_5pm/%%~nj_%%i.hdr
  )
)

echo ... done.
